<?php
//
defined('DS') or define("DS", DIRECTORY_SEPARATOR);
defined('BASE_PATH') or define("BASE_PATH", realpath(dirname(dirname(dirname(__FILE__)))));
defined('APP_PATH') or define("APP_PATH", BASE_PATH . DS . 'app');
defined('CONFIG_PATH') or define("CONFIG_PATH", BASE_PATH . DS . 'configs');
defined('LOG_PATH') or define("LOG_PATH", BASE_PATH . DS . 'logs');
defined('LOGIC_PATH') or define("LOGIC_PATH", APP_PATH . DS . 'logic');
defined('CMDPRO_PATH') or define("CMDPRO_PATH", LOGIC_PATH . DS . 'cmdpro');

defined('ENV') or define("ENV", 'dev');

//业务相关 redis Keys
defined('DOWN_MSG') or define("DOWN_MSG", 'DOWN_MSG');                                     //需要下发的消息队列名
defined('DOWN_MSG_SN') or define("DOWN_MSG_SN", 'DOWN_MSG_SN');                            //需要下发的消息队列名 计数器(1-1000切换)
defined('DOWN_MSG_SN') or define("DOWN_MSG_WRITEFLAG", 'DOWN_MSG_WRITEFLAG');              //需要下发的写锁
defined('DOWN_MSG_TMP') or define("DOWN_MSG_TMP", 'DOWN_MSG_TMP_');                        //需要下发的消息队列名 前缀(临时)

defined('RUN_LOGS_OVTIME_KEY') or define("RUN_LOGS_OVTIME_KEY", 'RUN_LOGS_OVTIME_KEY');                //自动过期日志        has
defined('RUN_LOGS_OVTIME') or define("RUN_LOGS_OVTIME", 180);                                          //自动过期日志超时时间
defined('RUN_LOGS_QUEUE_KEY') or define("RUN_LOGS_QUEUE_KEY", 'RUN_LOGS_QUEUE_KEY');                   //重要日志，不会过期  队列

defined('MAPS_UID_FID') or define("MAPS_UID_FID", 'MAPS_UID_FID');                         //登陆用户UID-FID MAP  HAS表
defined('MAPS_FID_UID') or define("MAPS_FID_UID", 'MAPS_FID_UID');                         //登陆用户FID-UID MAP  HAS表
defined('MAPS_TOKEN_UID') or define("MAPS_TOKEN_UID", 'MAPS_TOKEN_UID');                   //登陆用户TOKEN-UID MAP  HAS表
defined('MAPS_UID_TOKEN') or define("MAPS_UID_TOKEN", 'MAPS_UID_TOKEN');                   //登陆用户UID-TOKEN MAP  HAS表

defined('ON_OPEN') or define("ON_OPEN", 'ON_OPEN');                                         //接入时 HAS表

defined('TIME_RSYNC_KEY') or define("TIME_RSYNC_KEY", 'TIME_RSYNC_KEY');                     //时间同步的写获取者

defined('MSG_REDIS_SUBSCRIBE') or define("MSG_REDIS_SUBSCRIBE", 'MSG_REDIS_SUBSCRIBE');      //redis 消息订阅key

defined('MSG_BOARD') or define("MSG_BOARD", 'MSG_BOARD');                                     //通用广播消息队列键名
defined('MSG_TO_ONE_USER') or define("MSG_TO_ONE_USER", 'MSG_TO_ONE_USER');                   //通用单用户消息队列键名
defined('DO_TICK_USER') or define("DO_TICK_USER", 'DO_TICK_USER');                             //需要提下线的单用户消息队列键名
defined('USER_BLACK_HASH') or define("USER_BLACK_HASH", 'USER_BLACK_HASH');                    //用户黑名单，不能连上线 has表

////




